Bug 815213 - perf top reporst 9% in acpi_pm_read
perf top reporst 9% in acpi_pm_read
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 02:52 EDT by Catalin BOIE
Modified: 2012-05-15 08:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 08:18:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perf trace number 1 (486.36 KB, image/svg+xml)
2012-05-15 02:12 EDT, Catalin BOIE
no flags Details

  None (edit)
Description Catalin BOIE 2012-04-23 02:52:41 EDT
Description of problem:
acpi_pm_read seems to eat too much CPU time according with perf top.

Version-Release number of selected component (if applicable):
3.3.2-1.fc16.x86_64

How reproducible:
perf top

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Too much CPU usage by acpi_pm_read.

Expected results:
Much lower usage for acpi_pm_read.

Additional info:
Maybe is normal, but looks too big and the machine seems a bit sluggish. Hard to say when it started.

Thank you.
Comment 1 Catalin BOIE 2012-04-23 02:54:22 EDT
More info:

This is where time is spent:
99.51 :        ffffffff814a9850:       and    $0xffffff,%eax

Hardware:
Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
Comment 2 Dave Jones 2012-05-14 12:50:13 EDT
acpi pm timer is slow. there's no bug here.
Comment 3 Catalin BOIE 2012-05-15 02:11:51 EDT
I can understand that is slow, but 9%?!

I switched to tsc and it eats ~5%. Isn't it still too much?!

I run a perf and I generated the attached file. Seems that radeon eats a lot of resources in detecting DVI output. Monitor is connected on DVI.

radeon_dvi_detect appears a lot of time in the call stack.

Probably should be assigned to radeon.
Comment 4 Catalin BOIE 2012-05-15 02:12:54 EDT
Created attachment 584547 [details]
perf trace number 1

Note You need to log in before you can comment on or make changes to this bug.